Subject: Re: bug#32790: 27.0.50; point jumps unexpectedly after delete-window

From: martin rudalics <[email-masked]>
Date: Fri, 26 Oct 2018 09:41:34 +0200

> I imagine it could be a structure like returned by 'window-state-get'
 > but instead of a buffer name specify a regexp or a list of possible
 > buffer names that are allowed to be displayed in the given window.
 > Then display-buffer could search a buffer in such template and
 > reconstruct the window state where the buffer will be displayed in
 > the place specified in the template.

I see what you mean.  But it will take us some time till we get there.
Alone specifying such a thing would be a quite challenging endeavour.

 > Please note that in the code posted 3 days ago I used the hook that you
 > proposed recently window-state-change-functions, so this code is not yet
 > functional :)

Ahh.. That hook has not been written yet and I'm not sure whether I'll
be able to ever do that.  In either case: The window state will not
change when a window gets just reused by 'display-buffer' and no
selection takes place.  So can't you simply use 'post-command-hook'
for your purpose?

martin